Page MenuHomePhabricator

grouping type should be inferred from Wikidata itself, not hardcoded
Closed, ResolvedPublic

Description

Initially, Integraality expected groups and higher-groups to be Q-items, with one exception for country code to be piped into {{Flag}} (controlled by higher-grouping-type

In R2566:8e76a8a85b, I implemented another special type “string”.

This is the wrong approach: the data-type should be inferred from Wikidata itself, the way Listeria does it.

If the datatype is:

  • Q-item → pipe into {{Q}}
  • string or number → display as is
  • image → display as thumb

(That’s all I can think of right now)

Event Timeline

JeanFred created this task.May 23 2019, 9:14 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMay 23 2019, 9:14 AM

Mentioned in SAL (#wikimedia-cloud) [2019-10-25T15:02:42Z] <wm-bot> <jeanfred> Deploy latest from Git master: 82de2957 (T224212, T223930)

JeanFred closed this task as Resolved.Feb 13 2020, 9:47 AM
JeanFred claimed this task.
JeanFred triaged this task as Medium priority.

Closing as Resolved, the grouping-type works as expected.